Bug 804756 - Request for back-port of upstream Deltacloud feature
Request for back-port of upstream Deltacloud feature
Status: CLOSED ERRATA
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: deltacloud-core (Show other bugs)
1.0.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Michal Fojtik
Ronelle Landy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 14:25 EDT by jrd
Modified: 2013-02-26 23:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-15 16:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jrd 2012-03-19 14:25:44 EDT
Description of problem:

Per request of conductor team, let's consider moving https://git-wip-us.apache.org/repos/asf?p=deltacloud.git;a=commitdiff;h=f5b4c017f6d681594d6c7c79c039278825b67d4c into the release branch.  Doing so allows for richer hardware profile selection.

Version-Release number of selected component (if applicable):

1.0 beta

How reproducible:

Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

This is filed on behalf of morazi and the conductor team.  The change looks non-controversial to me, but DL and Marios, please evaluate.  I assume PM will pm-ack this if we decide the change is justified for release.
Comment 1 Michal Fojtik 2012-03-19 16:28:48 EDT
Will do it as the first thing tomorrow.
Comment 3 Ronelle Landy 2012-03-20 16:15:41 EDT
Initial testing from http://.../brewroot/repos/ce-rhel-6-build/latest/x86_64/:

rpm -qa |grep deltacloud
deltacloud-core-ec2-0.5.0-8.el6.noarch
deltacloud-core-vsphere-0.5.0-8.el6.noarch
rubygem-deltacloud-client-0.5.0-2.el6.noarch
deltacloud-core-0.5.0-8.el6.noarch
deltacloud-core-rhevm-0.5.0-8.el6.noarch

Deltacloud server returns the following for ec2 hardware_profiles (note: i386 and x86_64 are available for t1.macro, m1.small, m1.medium, c1.medium).

curl -X GET --user "username:password" "http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/hardware_profiles?format=xml"<?xml version='1.0' encoding='utf-8' ?>
<hardware_profiles>
  <hardware_profile href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/hardware_profiles/t1.micro' id='t1.micro'>
    <name>t1.micro</name>
    <property kind='fixed' name='storage' unit='GB' value='160' />
    <property kind='enum' name='architecture' unit='label' value='i386'>
      <param href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/instances' method='post' name='hwp_architecture' operation='create' />
      <enum>
        <entry value='i386' />
        <entry value='x86_64' />
      </enum>
    </property>
    <property kind='fixed' name='cpu' unit='count' value='1' />
    <property kind='fixed' name='memory' unit='MB' value='645.12' />
  </hardware_profile>
  <hardware_profile href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/hardware_profiles/m1.small' id='m1.small'>
    <name>m1.small</name>
    <property kind='fixed' name='storage' unit='GB' value='160' />
    <property kind='enum' name='architecture' unit='label' value='i386'>
      <param href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/instances' method='post' name='hwp_architecture' operation='create' />
      <enum>
        <entry value='i386' />
        <entry value='x86_64' />
      </enum>
    </property>
    <property kind='fixed' name='cpu' unit='count' value='1' />
    <property kind='fixed' name='memory' unit='MB' value='1740.8' />
  </hardware_profile>
  <hardware_profile href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/hardware_profiles/m1.medium' id='m1.medium'>
    <name>m1.medium</name>
    <property kind='fixed' name='storage' unit='GB' value='410' />
    <property kind='enum' name='architecture' unit='label' value='i386'>
      <param href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/instances' method='post' name='hwp_architecture' operation='create' />
      <enum>
        <entry value='i386' />
        <entry value='x86_64' />
      </enum>
    </property>
    <property kind='fixed' name='cpu' unit='count' value='2' />
    <property kind='fixed' name='memory' unit='MB' value='3840.0' />
  </hardware_profile>
  <hardware_profile href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/hardware_profiles/m1.large' id='m1.large'>
    <name>m1.large</name>
    <property kind='fixed' name='storage' unit='GB' value='850' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
    <property kind='fixed' name='cpu' unit='count' value='4' />
    <property kind='fixed' name='memory' unit='MB' value='7680.0' />
  </hardware_profile>
  <hardware_profile href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/hardware_profiles/m1.xlarge' id='m1.xlarge'>
    <name>m1.xlarge</name>
    <property kind='fixed' name='storage' unit='GB' value='1690' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
    <property kind='fixed' name='cpu' unit='count' value='8' />
    <property kind='fixed' name='memory' unit='MB' value='15360' />
  </hardware_profile>
  <hardware_profile href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/hardware_profiles/c1.medium' id='c1.medium'>
    <name>c1.medium</name>
    <property kind='fixed' name='storage' unit='GB' value='350' />
    <property kind='enum' name='architecture' unit='label' value='i386'>
      <param href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/instances' method='post' name='hwp_architecture' operation='create' />
      <enum>
        <entry value='i386' />
        <entry value='x86_64' />
      </enum>
    </property>
    <property kind='fixed' name='cpu' unit='count' value='5' />
    <property kind='fixed' name='memory' unit='MB' value='1740.8' />
  </hardware_profile>
  <hardware_profile href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/hardware_profiles/c1.xlarge' id='c1.xlarge'>
    <name>c1.xlarge</name>
    <property kind='fixed' name='storage' unit='GB' value='1690' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
    <property kind='fixed' name='cpu' unit='count' value='20' />
    <property kind='fixed' name='memory' unit='MB' value='7168' />
  </hardware_profile>
  <hardware_profile href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/hardware_profiles/m2.xlarge' id='m2.xlarge'>
    <name>m2.xlarge</name>
    <property kind='fixed' name='storage' unit='GB' value='420' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
    <property kind='fixed' name='cpu' unit='count' value='6.5' />
    <property kind='fixed' name='memory' unit='MB' value='17510.4' />
  </hardware_profile>
  <hardware_profile href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/hardware_profiles/m2.2xlarge' id='m2.2xlarge'>
    <name>m2.2xlarge</name>
    <property kind='fixed' name='storage' unit='GB' value='850' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
    <property kind='fixed' name='cpu' unit='count' value='13' />
    <property kind='fixed' name='memory' unit='MB' value='35020.8' />
  </hardware_profile>
  <hardware_profile href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/hardware_profiles/m2.4xlarge' id='m2.4xlarge'>
    <name>m2.4xlarge</name>
    <property kind='fixed' name='storage' unit='GB' value='1690' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
    <property kind='fixed' name='cpu' unit='count' value='26' />
    <property kind='fixed' name='memory' unit='MB' value='70041.6' />
  </hardware_profile>
</hardware_profiles>

Comparing with deltacloud-core-0.5.0-5:
(i386 and x86_64 are available for t1.macro, m1.small is only available for i386, m1.medium does not show up, c1.medium is only available for i386).

ebs-backed:

curl -X GET --user "username:password" "http://qe-blade-04.idm.lab.bos.redhat.com:3004/api/hardware_profiles?format=xml"
<?xml version='1.0' encoding='utf-8' ?>
<hardware_profiles>
  <hardware_profile href='http://qe-blade-04.idm.lab.bos.redhat.com:3004/api/hardware_profiles/t1.micro' id='t1.micro'>
    <name>t1.micro</name>
    <property kind='fixed' name='memory' unit='MB' value='645.12' />
    <property kind='fixed' name='storage' unit='GB' value='160' />
    <property kind='fixed' name='cpu' unit='count' value='1' />
    <property kind='enum' name='architecture' unit='label' value='i386'>
      <param href='http://qe-blade-04.idm.lab.bos.redhat.com:3004/api/instances' method='post' name='hwp_architecture' operation='create' />
      <enum>
        <entry value='i386' />
        <entry value='x86_64' />
      </enum>
    </property>
  </hardware_profile>
  <hardware_profile href='http://qe-blade-04.idm.lab.bos.redhat.com:3004/api/hardware_profiles/m1.small' id='m1.small'>
    <name>m1.small</name>
    <property kind='fixed' name='memory' unit='MB' value='1740.8' />
    <property kind='fixed' name='storage' unit='GB' value='160' />
    <property kind='fixed' name='cpu' unit='count' value='1' />
    <property kind='fixed' name='architecture' unit='label' value='i386' />
  </hardware_profile>
  <hardware_profile href='http://qe-blade-04.idm.lab.bos.redhat.com:3004/api/hardware_profiles/m1.large' id='m1.large'>
    <name>m1.large</name>
    <property kind='fixed' name='memory' unit='MB' value='7680.0' />
    <property kind='fixed' name='storage' unit='GB' value='850' />
    <property kind='fixed' name='cpu' unit='count' value='4' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
  </hardware_profile>
  <hardware_profile href='http://qe-blade-04.idm.lab.bos.redhat.com:3004/api/hardware_profiles/m1.xlarge' id='m1.xlarge'>
    <name>m1.xlarge</name>
    <property kind='fixed' name='memory' unit='MB' value='15360' />
    <property kind='fixed' name='storage' unit='GB' value='1690' />
    <property kind='fixed' name='cpu' unit='count' value='8' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
  </hardware_profile>
  <hardware_profile href='http://qe-blade-04.idm.lab.bos.redhat.com:3004/api/hardware_profiles/c1.medium' id='c1.medium'>
    <name>c1.medium</name>
    <property kind='fixed' name='memory' unit='MB' value='1740.8' />
    <property kind='fixed' name='storage' unit='GB' value='350' />
    <property kind='fixed' name='cpu' unit='count' value='5' />
    <property kind='fixed' name='architecture' unit='label' value='i386' />
  </hardware_profile>
  <hardware_profile href='http://qe-blade-04.idm.lab.bos.redhat.com:3004/api/hardware_profiles/c1.xlarge' id='c1.xlarge'>
    <name>c1.xlarge</name>
    <property kind='fixed' name='memory' unit='MB' value='7168' />
    <property kind='fixed' name='storage' unit='GB' value='1690' />
    <property kind='fixed' name='cpu' unit='count' value='20' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
  </hardware_profile>
  <hardware_profile href='http://qe-blade-04.idm.lab.bos.redhat.com:3004/api/hardware_profiles/m2.xlarge' id='m2.xlarge'>
    <name>m2.xlarge</name>
    <property kind='fixed' name='memory' unit='MB' value='17510.4' />
    <property kind='fixed' name='storage' unit='GB' value='420' />
    <property kind='fixed' name='cpu' unit='count' value='6.5' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
  </hardware_profile>
  <hardware_profile href='http://qe-blade-04.idm.lab.bos.redhat.com:3004/api/hardware_profiles/m2.2xlarge' id='m2.2xlarge'>
    <name>m2.2xlarge</name>
    <property kind='fixed' name='memory' unit='MB' value='35020.8' />
    <property kind='fixed' name='storage' unit='GB' value='850' />
    <property kind='fixed' name='cpu' unit='count' value='13' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
  </hardware_profile>
  <hardware_profile href='http://qe-blade-04.idm.lab.bos.redhat.com:3004/api/hardware_profiles/m2.4xlarge' id='m2.4xlarge'>
    <name>m2.4xlarge</name>
    <property kind='fixed' name='memory' unit='MB' value='70041.6' />
    <property kind='fixed' name='storage' unit='GB' value='1690' />
    <property kind='fixed' name='cpu' unit='count' value='26' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
  </hardware_profile>
</hardware_profiles>

Testing that, with delatcloud-core-0.5.0-8, it is possible to create a x86_64 instance with m1.small m1.medium, c1.medium hardware profiles:

 curl -X POST -F "image_id=ami-0af30663" -F "hwp_id=m1.small" -F "realm_id=us-east-1c" --user "username:password" "http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/instances?format=xml"
<?xml version='1.0' encoding='utf-8' ?>
<instance href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/instances/i-ff29649b' id='i-ff29649b'>
  <name>ami-0af30663</name>
  <owner_id>421842149539</owner_id>
  <image href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/images/ami-0af30663' id='ami-0af30663'></image>
  <realm href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/realms/us-east-1c' id='us-east-1c'></realm>
  <state>PENDING</state>
  <hardware_profile href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/hardware_profiles/m1.small' id='m1.small'>
  </hardware_profile>
  <actions>
    <link href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/instances/i-ff29649b/stop' method='post' rel='stop' />
    <link href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/instances/i-ff29649b/run;id=i-ff29649b' method='post' rel='run' />
    <link href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/images;instance_id=i-ff29649b' method='post' rel='create_image' />
  </actions>
  <launch_time>2012-03-20T20:08:18.000Z</launch_time>
  <public_addresses><address type='unavailable'></address></public_addresses>
  <private_addresses><address type='unavailable'></address></private_addresses>
  <firewalls><firewall href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/firewalls/default' id='default'></firewall></firewalls>
  <storage_volumes></storage_volumes>
  <authentication type='key'>
    <login>
      <keyname></keyname>
    </login>
  </authentication>
</instance>

S3:

curl -X POST -F "image_id=ami-8cc035e5" -F "hwp_id=m1.small" -F "realm_id=us-east-1c" --user "username:password" "http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/instances?format=xml"
<?xml version='1.0' encoding='utf-8' ?>
<instance href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/instances/i-5f24693b' id='i-5f24693b'>
  <name>ami-8cc035e5</name>
  <owner_id>421842149539</owner_id>
  <image href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/images/ami-8cc035e5' id='ami-8cc035e5'></image>
  <realm href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/realms/us-east-1c' id='us-east-1c'></realm>
  <state>PENDING</state>
  <hardware_profile href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/hardware_profiles/m1.small' id='m1.small'>
  </hardware_profile>
  <actions>
    <link href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/instances/i-5f24693b/stop' method='post' rel='stop' />
    <link href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/instances/i-5f24693b/run;id=i-5f24693b' method='post' rel='run' />
  </actions>
  <launch_time>2012-03-20T20:10:42.000Z</launch_time>
  <public_addresses><address type='unavailable'></address></public_addresses>
  <private_addresses><address type='unavailable'></address></private_addresses>
  <firewalls><firewall href='http://ibm-x3200m3-01.rhts.eng.bos.redhat.com:3005/api/firewalls/default' id='default'></firewall></firewalls>
  <storage_volumes></storage_volumes>
  <authentication type='key'>
    <login>
      <keyname></keyname>
    </login>
  </authentication>
</instance>
Comment 4 Michal Fojtik 2012-03-21 06:01:21 EDT
This seems to OK, can you update this bug to ON_QA or VERIFIED?
Comment 5 Ronelle Landy 2012-03-21 08:29:30 EDT
Its is my understanding that this BZ moves to ON_QA when the changes land in the beta6 puddle. See chat comments from 03/20/2012 below:

<rlandy> weshay: rpms for deltacloud-core-0.5.0-8 are in nightly. When does BZ-804756 move to ON_QA ... with the next puddle?
<weshay> rlandy, it should make it into beta6 which should be in the next few days
Comment 7 Ronelle Landy 2012-03-23 17:00:12 EDT
.../rel-eng/CloudForms/1.0/2012-03-22.3/el6-ce/x86_64/ contains:

[   ] deltacloud-core-0.5.0-7.el6.noarch.rpm                      22-Mar-2012 14:42  513K  
[   ] deltacloud-core-all-0.5.0-7.el6.noarch.rpm                  22-Mar-2012 14:42  7.5K  
[   ] deltacloud-core-doc-0.5.0-7.el6.noarch.rpm                  22-Mar-2012 14:42  483K  
[   ] deltacloud-core-ec2-0.5.0-7.el6.noarch.rpm                  22-Mar-2012 14:42  8.3K  
[   ] deltacloud-core-rhevm-0.5.0-7.el6.noarch.rpm                22-Mar-2012 14:42  8.2K  
[   ] deltacloud-core-vsphere-0.5.0-7.el6.noarch.rpm              22-Mar-2012 14:42  8.3K  

waiting for deltacloud-core-0.5.0-8 to reach beta-6 before final verification.
Comment 8 Ronelle Landy 2012-03-30 12:56:27 EDT
verifying deltacloud-core version of out of nightly puddle build:

http://download.lab.bos.redhat.com/rel-eng/nightly/CloudForms/1.0/latest/el6-ce/x86_64/

>> rpm -qa |grep deltacloud
deltacloud-core-ec2-0.5.0-8.el6.noarch
deltacloud-core-0.5.0-8.el6.noarch
rubygem-deltacloud-client-0.5.0-2.el6.noarch
deltacloud-core-vsphere-0.5.0-8.el6.noarch
deltacloud-core-rhevm-0.5.0-8.el6.noarch

>> rpm -qa |grep aeolus
aeolus-conductor-daemons-0.8.7-1.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
aeolus-configure-2.5.2-1.el6.noarch
aeolus-conductor-0.8.7-1.el6.noarch
aeolus-conductor-doc-0.8.7-1.el6.noarch
aeolus-all-0.8.7-1.el6.noarch

Checking creation of x86_64 instances with new available hardware profiles (from deltacloud client - closest to how aeolus would access the functionality): 

created instance: i-7a988f1e, ami-8cc035e5, instance store, m1.small, pending 
created instance: i-16819672, ami-8cc035e5, instance store, m1.medium, pending 
created instance: i-a48e99c0, ami-8cc035e5, instance store, c1.medium, pending 
created instance: i-78b7a01c, ami-0af30663, ebs, m1.small, pending 
created instance: i-b6b6a1d2, ami-0af30663, ebs, m1.medium, pending 
created instance: i-f8b4a39c, ami-0af30663, ebs, c1.medium, pending 

Checking hardware profiles returned from server:

curl -X GET --user "username:password" "http://localhost:3003/api/hardware_profiles?format=xml"
<?xml version='1.0' encoding='utf-8' ?>
<hardware_profiles>
  <hardware_profile href='http://localhost:3003/api/hardware_profiles/t1.micro' id='t1.micro'>
    <name>t1.micro</name>
    <property kind='fixed' name='storage' unit='GB' value='160' />
    <property kind='enum' name='architecture' unit='label' value='i386'>
      <param href='http://localhost:3003/api/instances' method='post' name='hwp_architecture' operation='create' />
      <enum>
        <entry value='i386' />
        <entry value='x86_64' />
      </enum>
    </property>
    <property kind='fixed' name='cpu' unit='count' value='1' />
    <property kind='fixed' name='memory' unit='MB' value='645.12' />
  </hardware_profile>
  <hardware_profile href='http://localhost:3003/api/hardware_profiles/m1.small' id='m1.small'>
    <name>m1.small</name>
    <property kind='fixed' name='storage' unit='GB' value='160' />
    <property kind='enum' name='architecture' unit='label' value='i386'>
      <param href='http://localhost:3003/api/instances' method='post' name='hwp_architecture' operation='create' />
      <enum>
        <entry value='i386' />
        <entry value='x86_64' />
      </enum>
    </property>
    <property kind='fixed' name='cpu' unit='count' value='1' />
    <property kind='fixed' name='memory' unit='MB' value='1740.8' />
  </hardware_profile>
  <hardware_profile href='http://localhost:3003/api/hardware_profiles/m1.medium' id='m1.medium'>
    <name>m1.medium</name>
    <property kind='fixed' name='storage' unit='GB' value='410' />
    <property kind='enum' name='architecture' unit='label' value='i386'>
      <param href='http://localhost:3003/api/instances' method='post' name='hwp_architecture' operation='create' />
      <enum>
        <entry value='i386' />
        <entry value='x86_64' />
      </enum>
    </property>
    <property kind='fixed' name='cpu' unit='count' value='2' />
    <property kind='fixed' name='memory' unit='MB' value='3840.0' />
  </hardware_profile>
  <hardware_profile href='http://localhost:3003/api/hardware_profiles/m1.large' id='m1.large'>
    <name>m1.large</name>
    <property kind='fixed' name='storage' unit='GB' value='850' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
    <property kind='fixed' name='cpu' unit='count' value='4' />
    <property kind='fixed' name='memory' unit='MB' value='7680.0' />
  </hardware_profile>
  <hardware_profile href='http://localhost:3003/api/hardware_profiles/m1.xlarge' id='m1.xlarge'>
    <name>m1.xlarge</name>
    <property kind='fixed' name='storage' unit='GB' value='1690' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
    <property kind='fixed' name='cpu' unit='count' value='8' />
    <property kind='fixed' name='memory' unit='MB' value='15360' />
  </hardware_profile>
  <hardware_profile href='http://localhost:3003/api/hardware_profiles/c1.medium' id='c1.medium'>
    <name>c1.medium</name>
    <property kind='fixed' name='storage' unit='GB' value='350' />
    <property kind='enum' name='architecture' unit='label' value='i386'>
      <param href='http://localhost:3003/api/instances' method='post' name='hwp_architecture' operation='create' />
      <enum>
        <entry value='i386' />
        <entry value='x86_64' />
      </enum>
    </property>
    <property kind='fixed' name='cpu' unit='count' value='5' />
    <property kind='fixed' name='memory' unit='MB' value='1740.8' />
  </hardware_profile>
  <hardware_profile href='http://localhost:3003/api/hardware_profiles/c1.xlarge' id='c1.xlarge'>
    <name>c1.xlarge</name>
    <property kind='fixed' name='storage' unit='GB' value='1690' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
    <property kind='fixed' name='cpu' unit='count' value='20' />
    <property kind='fixed' name='memory' unit='MB' value='7168' />
  </hardware_profile>
  <hardware_profile href='http://localhost:3003/api/hardware_profiles/m2.xlarge' id='m2.xlarge'>
    <name>m2.xlarge</name>
    <property kind='fixed' name='storage' unit='GB' value='420' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
    <property kind='fixed' name='cpu' unit='count' value='6.5' />
    <property kind='fixed' name='memory' unit='MB' value='17510.4' />
  </hardware_profile>
  <hardware_profile href='http://localhost:3003/api/hardware_profiles/m2.2xlarge' id='m2.2xlarge'>
    <name>m2.2xlarge</name>
    <property kind='fixed' name='storage' unit='GB' value='850' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
    <property kind='fixed' name='cpu' unit='count' value='13' />
    <property kind='fixed' name='memory' unit='MB' value='35020.8' />
  </hardware_profile>
  <hardware_profile href='http://localhost:3003/api/hardware_profiles/m2.4xlarge' id='m2.4xlarge'>
    <name>m2.4xlarge</name>
    <property kind='fixed' name='storage' unit='GB' value='1690' />
    <property kind='fixed' name='architecture' unit='label' value='x86_64' />
    <property kind='fixed' name='cpu' unit='count' value='26' />
    <property kind='fixed' name='memory' unit='MB' value='70041.6' />
  </hardware_profile>
</hardware_profiles>
Comment 10 errata-xmlrpc 2012-05-15 16:34:30 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0587.html

Note You need to log in before you can comment on or make changes to this bug.